IMW(3)

PACKAGE
imw - Routines to write raw images

PURPOSE
These routines provide a means to convert from image data to raw images suitable for low level graphics display. Although these routines are made public, their use is NOT recommended. The <-viewimg-> package is the suggested means to manage image display.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

imw_to8_bilinear
    Convert generic image to 8 bit image, with resizing.

imw_to8_lossy2
    Convert generic image to 8 bit image, with resizing.

imw_to8_lossy
    Convert generic image to 8 bit image, with resizing.

imw_to8_magnify
    Convert generic image to 8 bit image, increasing size.

imw_to8_oi
    Convert generic image to 8 bit image, preserving size.

imw_scmap_16to24_lossy
    Write 16bit image to a 24bit image using a software colourmap.

imw_scmap_16to24_o
    Write 16bit image to a 24bit image using a software colourmap.

imw_PROTO_iscale_func
    Intensity scaling callback.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/